请选择 进入手机版 | 继续访问电脑版

GODIY 自己动手亲力亲为的DIY社区一起来吧--GODIY论坛

 找回密码
 注册

扫一扫,访问微社区

搜索
楼主: lostinfever

服务器端音乐播放器MPD的安装与配置

[复制链接]
发表于 2013-10-15 14:44:07 | 显示全部楼层
回复 10# jpdd521


   我也是无法安装,请问你是怎么解决的?root@PogoPlug:/# opkg install /tmp/mpd-full_0.16.5-2_oxnas.ipkInstalling mpd-full (0.16.5-2) to root...
Collected errors:
* satisfy_dependencies_for: Cannot satisfy the following dependencies for mpd-full:
*      libaudiofile *  libfaad2 *      libshout *      libsndfile *
* opkg_install_cmd: Cannot install package mpd-full.
发表于 2013-10-15 15:03:04 | 显示全部楼层
用小熊的源安装上了,但是提示这个Failed to bind to '0.0.0.0:6600': Address already in use
 楼主| 发表于 2013-10-15 15:21:05 | 显示全部楼层
回复 22# 大熊


   这个是已经在运行了,是安装正常的表现啊
发表于 2013-10-15 15:27:02 | 显示全部楼层
终于成功了
发表于 2013-10-27 21:37:48 | 显示全部楼层
无损音乐,好半天没反应啊
发表于 2013-11-10 00:03:26 | 显示全部楼层
我在iphone上装了MPOD,想输出HTTPstream,设置如下:
audio_output {   
        type                "httpd"   
        name                "My HTTP Stream"
        encoder                "lame"                # optional, vorbis or lame
        port                "8000"
#        quality                "5.0"                        # do not define if bitrate is defined
        bitrate                "128"                        # do not define if quality is defined
        format                "44100:16:1"
}

我已经用OPKG安装了lame和lib-lame,但是启动mpd时还是显示no "lame" encoder.
请大神们指导一下如何正确的安装和配置lame。 谢谢!!
发表于 2013-11-10 14:04:27 | 显示全部楼层
我估计是mpd编译的时候没有加载lame encoder或者lame encoder disable, 请教如何编译mpd enable lame encoder, 或者哪位大神能够帮忙重新编译一下mpd,使lame encoder enable.

谢谢!!
 楼主| 发表于 2013-11-10 15:14:45 | 显示全部楼层
本帖最后由 lostinfever 于 2013-11-10 15:57 编辑

回复 27# ppyyff


   重新编译的,你试试吧,加上--eable-lame-encoder 参数之后,需要额外的组件libmpg123和libsqlite3,得提前安装
        http://pan.baidu.com/s/1j8OY9
发表于 2013-11-12 15:48:42 | 显示全部楼层
有些人可能对MPD不太熟悉,其实MPD相比Mplayer而言,少了播放流媒体的功能,但是它强大的音乐库管理 ...
lostinfever 发表于 2013-10-2 00:25


楼主我的运行MPD出现can't load library 'libavformat.so.53',这个怎么解决呢
发表于 2013-11-12 16:16:48 | 显示全部楼层
回复 28# lostinfever

谢谢你的帮助,我先remove了原来的mpd以及相关软件,然后在屏蔽opkg update的情况下安装了你发的三个安装包,但是输入 mpd --version后还是显示 Supported encoders: null vorbis wave flac, 并没有找到lame. 请大神再看看是哪里出问题了。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

QQ|小黑屋|手机版|Archiver|GODIY论坛 ( 粤ICP备12089271号

GMT+8, 2019-5-20 11:44 , Processed in 0.229421 second(s), 7 queries , File On.

Powered by Godiy.net

快速回复 返回顶部 返回列表